summaryrefslogtreecommitdiffstats
path: root/elchos/root-image/krebs/bin/start-ncdc.ship
diff options
context:
space:
mode:
authormakefu <github@syntax-fehler.de>2014-04-02 11:15:54 +0200
committermakefu <github@syntax-fehler.de>2014-04-02 11:15:54 +0200
commit732876299f4dccb4caa3a915879d2b5945bbdd42 (patch)
tree779db4d8f7cfb6223b6d47bd2f157143a48760f8 /elchos/root-image/krebs/bin/start-ncdc.ship
parenteb83b606a5baadcf35353b5461d2a0e520ecba6c (diff)
filehooker is now elchOS
Diffstat (limited to 'elchos/root-image/krebs/bin/start-ncdc.ship')
-rwxr-xr-xelchos/root-image/krebs/bin/start-ncdc.ship23
1 files changed, 23 insertions, 0 deletions
diff --git a/elchos/root-image/krebs/bin/start-ncdc.ship b/elchos/root-image/krebs/bin/start-ncdc.ship
new file mode 100755
index 00000000..1d47bcfb
--- /dev/null
+++ b/elchos/root-image/krebs/bin/start-ncdc.ship
@@ -0,0 +1,23 @@
+#!/usr/bin/env ship
+set -euf
+#@include filehooker
+. /krebs/lib/filehooker
+#@include network
+ncdc_user="hooker"
+
+useradd -m $ncdc_user ||:
+
+sudo -u $ncdc_user /usr/bin/tmux new-session -s dcpp -n ncdc -d ncdc 2>/dev/null || echo "ncdc is already running"
+
+nick=$(cat /etc/hostname)
+echo "using nick $nick"
+ncdc_configure_nick "$nick"
+sleep 1
+dc_hub="adcs://elchhub.nsupdate.info:2781"
+echo "connecting to $dc_hub"
+ncdc_configure_hub "$dc_hub" "elch"
+
+
+share_all_partitions
+
+exit 0